Package ru.bitel.bgbilling.plugins.organizer.server.bean

# Class OrganizerRecord

java.lang.Object
ru.bitel.bgbilling.plugins.organizer.server.bean.OrganizerRecord

public class OrganizerRecord extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrganizerRecord()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCid()`
  `String`
  `getComment()`
  `Date`
  `getCompleteDate()`
  `int`
  `getCompleteUid()`
  `String`
  `getContractTitle()`
  `Date`
  `getCreationDate()`
  `int`
  `getId()`
  `Period`
  `getPeriod()`
  `String`
  `getStatus()`
  `String`
  `getTitle()`
  `int`
  `getTodoGid()`
  `String`
  `getTodoGroup()`
  `int`
  `getTodoUid()`
  `String`
  `getTodoUserName()`
  `int`
  `getUid()`
  `String`
  `getUserName()`
  `String`
  `getWhoCompleted()`
  `boolean`
  `isDone()`
  `void`
  `setCid(int cid)`
  `void`
  `setComment(String comment)`
  `void`
  `setCompleteDate(Date completeDate)`
  `void`
  `setCompleteUid(int completeUid)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setCreationDate(Date creationDate)`
  `void`
  `setDone(boolean done)`
  `void`
  `setId(int id)`
  `void`
  `setPeriod(Period period)`
  `void`
  `setStatus(String status)`
  `void`
  `setTitle(String title)`
  `void`
  `setTodoGid(int gid)`
  `void`
  `setTodoGroup(String group)`
  `void`
  `setTodoUid(int todoUid)`
  `void`
  `setTodoUserName(String todoUserName)`
  `void`
  `setUid(int uid)`
  `void`
  `setUserName(String userName)`
  `void`
  `setWhoCompleted(String whoCompleted)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrganizerRecord

    public OrganizerRecord()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getCid

    public int getCid()

  - ### setCid

    public void setCid(int cid)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getComment

    public String getComment()

  - ### setComment

    public void setComment(String comment)

  - ### isDone

    public boolean isDone()

  - ### setDone

    public void setDone(boolean done)

  - ### getTodoGid

    public int getTodoGid()

  - ### setTodoGid

    public void setTodoGid(int gid)

  - ### getTodoGroup

    public String getTodoGroup()

  - ### setTodoGroup

    public void setTodoGroup(String group)

  - ### getUid

    public int getUid()

  - ### setUid

    public void setUid(int uid)

  - ### getCreationDate

    public Date getCreationDate()

  - ### setCreationDate

    public void setCreationDate(Date creationDate)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getTodoUid

    public int getTodoUid()

  - ### setTodoUid

    public void setTodoUid(int todoUid)

  - ### getUserName

    public String getUserName()

  - ### setUserName

    public void setUserName(String userName)

  - ### getTodoUserName

    public String getTodoUserName()

  - ### setTodoUserName

    public void setTodoUserName(String todoUserName)

  - ### getPeriod

    public Period getPeriod()

  - ### setPeriod

    public void setPeriod(Period period)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getCompleteUid

    public int getCompleteUid()

  - ### setCompleteUid

    public void setCompleteUid(int completeUid)

  - ### getWhoCompleted

    public String getWhoCompleted()

  - ### setWhoCompleted

    public void setWhoCompleted(String whoCompleted)

  - ### getCompleteDate

    public Date getCompleteDate()

  - ### setCompleteDate

    public void setCompleteDate(Date completeDate)